﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NonaBGS.Journal;

namespace NonaBGS.BGS {
    public class LogEntry {
        private List<Entry> entries = new List<Entry>();

        public List<Entry> Entries => entries;
        public string Station { get; set; }
        public string System { get; set; }
        public string Faction { get; set; }

        /// <summary>
        /// Whether this entry only benefits the controlling faction or not, default: no
        /// </summary>
        public virtual bool OnlyControllingFaction {
            get { return false; }
        }
    }
}
